petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatShellSetManageScalingShifts

Allows the user to control the scaling and shift operations of the MATSHELL. Must be called immediately after MatCreateShell()

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatShellSetManageScalingShifts(Mat A)

Logically Collective on Mat

### Input Parameter

mat -the shell matrix

### See Also

MatCreateShell(), MatShellGetContext(), MatShellGetOperation(), MatShellSetContext(), MatShellSetOperation()

### Level

advanced

### Location

src/mat/impls/shell/shell.c

### Implementations

MatShellSetManageScalingShifts_Shell in src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages